import { message } from 'ant-design-vue';

/**
 * 将文字 复制到粘贴板
 * @param text
 */
export function copyToClipboard(text: string): void {
    if (text.includes('-')) {
        const arr = text.split('-');
        text = arr[0] + arr[1];
    }
    const textArea = document.createElement('textarea');
    textArea.style.position = 'fixed';
    textArea.style.top = '0';
    textArea.style.left = '0';
    textArea.style.width = '2em';
    textArea.style.height = '2em';
    textArea.style.padding = '0';
    textArea.style.border = 'none';
    textArea.style.outline = 'none';
    textArea.style.boxShadow = 'none';
    textArea.style.background = 'transparent';
    textArea.value = text;
    document.body.appendChild(textArea);
    textArea.select();

    try {
        const successful = document.execCommand('copy');
        if (successful) {
            message.success('复制成功！');
        } else {
            message.error('该浏览器不支持点击复制到剪贴板');
        }
    } catch (err) {
        message.error('该浏览器不支持点击复制到剪贴板');
    }
    document.body.removeChild(textArea);
}
